
import { IonButton, IonCol, IonGrid, IonHeader, IonIcon, IonRow, IonText, IonTitle, IonToolbar, isPlatform } from '@ionic/react';
import { heart } from 'ionicons/icons';

import '../styles/styles.css';

// Determine which platform the app is running (ios or android)
// Compose message that will be opened with the click of a button
const separator = isPlatform('ios') === false ? '&' : '?'
const phoneNumber = '7877101934'
const message = 'Hola. Tengo una emergencia, mi ubicación es esta:'

const finalMessage = "sms:" + phoneNumber + separator + "body=" + message;


export function HelpBtn() {
    return (
        <IonHeader>
            <IonToolbar>
                <IonGrid>
                    <IonRow>
                        <IonCol class="title-col">
                            <IonTitle class="screen-titles">
                                <IonText>TPC</IonText>
                            </IonTitle>
                        </IonCol>
                        <IonCol>
                            <IonButton class="ion-btn-download" fill="clear" href={finalMessage}>
                                <IonIcon slot="icon-only" icon={heart} class="msg-button"></IonIcon>
                            </IonButton>
                        </IonCol>
                    </IonRow>
                </IonGrid>
            </IonToolbar>
        </IonHeader>
        
    );
}
